Package ch.qos.logback.core.joran.conditional

# Class PropertyWrapperForScripts

java.lang.Object
ch.qos.logback.core.joran.conditional.PropertyWrapperForScripts

public class PropertyWrapperForScripts extends Object

## Constructor Summary

Constructors
Constructor
Description
`PropertyWrapperForScripts()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isDefined(String k)`
`boolean`
`isNull(String k)`
`String`
`p(String k)`
`String`
`property(String k)`
`void`
`setPropertyContainers(PropertyContainer local, PropertyContainer context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyWrapperForScripts

public PropertyWrapperForScripts()

## Method Details

### setPropertyContainers

public void setPropertyContainers(PropertyContainer local, PropertyContainer context)

### isNull

public boolean isNull(String k)

### isDefined

public boolean isDefined(String k)

### p

public String p(String k)

### property

public String property(String k)